Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 26 Jul 2017 14:43:14 +0200

On Wed, Jul 26, 2017 at 2:33 PM, Walid MOGHRABI
<[email-masked]> wrote:
> Please find them attached.

Thanks.

> Just to note, I don't know what you mean by "older x2go client", on my TCE, x2go client is the most up to date I could get (Heuler release and up to date) :

I have been inexact: I should have written "x2goclient is using the
old xinerama method"

> Note that I uninstalled Arctica Libs to see if it changed anything but it didn't, that's why you don't see Arctica's nxproxy/libxcomp3 versions.

But only on the client side, I hope.

> - turn off fullscreen in the session's configuration and see if that
> changes anything for you (maybe ctrl-alt-f will work then, too)

Have you tried that?

I am starting to run out of ideas...

Can you please open an xterm on the TCE side, "ssh -X" to the server
and simply start "nxagent -ac +rrxinerama :5"? This should open an
empty nxagent window. You can then run (in anothjer shell _on the
server_) xrandr -display :5. This way we take out x2go completely.

Please also try this for the laptop session.

Uli